/* =========================
       NAVBAR
    ========================== */
    nav{

      width:100%;
      height:90px;

      display:flex;
      justify-content:space-between;
      align-items:center;

      padding:0 60px;

      background:white;

      position:fixed;
      top:0;
      left:0;

      z-index:1000;

      box-shadow:0 2px 10px rgba(0,0,0,0.05);
    }

    /* LOGO */
    .logo img{
      width:400px;
    }

    /* MENU */
    .menu{
      display:flex;
      gap:30px;
      list-style:none;
    }

    .menu li a{

      text-decoration:none;

      color:#333;

      font-size:16px;

      font-weight:500;

      padding:10px 15px;

      border-radius:10px;

      transition:0.3s;
    }

    .menu li a:hover{

      background:linear-gradient(to right,#430258,#c300fe,#430258);

      color:white;
    }

    /* NAV BUTTON */
    .nav-btn{

      padding:12px 28px;

      border:none;

      border-radius:30px;

      background:linear-gradient(to right,#430258,#c300fe,#430258);

      color:white;

      font-weight:600;

      cursor:pointer;

      transition:0.3s;
    }

    .nav-btn:hover{
      transform:scale(1.05);
    }
        /* =========================
   CONTACT BANNER
========================= */

.contact-banner{

  width:100%;
  height:500px;

  /* ONLINE IMAGE */
  background:
  linear-gradient(rgba(0,0,0,0.55),
  rgba(0,0,0,0.55)),

  url('contact1.png');

  background-size:cover;
  background-position:center;

  /* FIXED IMAGE */
  background-attachment:fixed;

  display:flex;
  justify-content:center;
  align-items:center;

  text-align:center;
}

/* DARK OVERLAY */
.overlay{
  color:white;
}

/* HEADING */
.overlay h1{

  font-size:75px;
  font-weight:700;

  margin-bottom:20px;

  letter-spacing:2px;

  animation:zoomText 1.5s ease;
}

/* SMALL TEXT */
.overlay p{

  font-size:24px;
  letter-spacing:2px;

  animation:fadeUp 2s ease;
}

/* =========================
   ANIMATION
========================= */

@keyframes zoomText{

  from{
    opacity:0;
    transform:scale(0.5);
  }

  to{
    opacity:1;
    transform:scale(1);
  }
}

@keyframes fadeUp{

  from{
    opacity:0;
    transform:translateY(40px);
  }

  to{
    opacity:1;
    transform:translateY(0);
  }
}

/* =========================
   MOBILE RESPONSIVE
========================= */

@media(max-width:768px){

  .contact-banner{
    height:350px;
  }

  .overlay h1{
    font-size:45px;
  }

  .overlay p{
    font-size:18px;
  }

}

/* =========================
   CONTACT SECTION
========================= */

.contact-section{

  width:100%;
  min-height:100vh;

  display:flex;
  justify-content:center;
  gap:40px;

  padding:80px;

  background:#f7f8fc;
}

/* =========================
   LEFT SIDE
========================= */

.left-contact{
  width:40%;
}

.info-card{

  background:white;

  border-radius:25px;

  padding:30px;

  margin-bottom:25px;

  display:flex;
  align-items:flex-start;
  gap:20px;

  box-shadow:0 5px 20px rgba(0,0,0,0.08);

  transition:0.4s;
}

.info-card:hover{

  transform:translateY(-8px);

  box-shadow:0 10px 30px rgba(128,0,255,0.2);
}

.icon{

  width:70px;
  height:70px;

  background:linear-gradient(to right,#ff4fd8,#6a5cff);

  border-radius:50%;

  display:flex;
  justify-content:center;
  align-items:center;

  font-size:30px;
  color:white;

  transition:0.5s;
}

.info-card:hover .icon{

  transform:rotate(360deg) scale(1.1);
}

.info-card h2{

  margin-bottom:10px;

  color:#111827;
}

.info-card p{

  color:#555;
  line-height:1.7;
}

/* =========================
   RIGHT FORM
========================= */

.form-container{

  width:60%;

  background:white;

  padding:50px;

  border-radius:30px;

  box-shadow:0 10px 30px rgba(0,0,0,0.08);
}

.form-container h1{

  font-size:45px;

  margin-bottom:10px;

 
 
}

.sub-text{

  color:#666;

  margin-bottom:35px;
}

/* =========================
   INPUTS
========================= */

.input-row{

  display:flex;
  gap:20px;
}

input,
textarea,
select{

  width:100%;

  padding:18px;

  border:none;

  margin-bottom:20px;

  background:#f3f5ff;

  border-radius:15px;

  font-size:16px;

  transition:0.4s;
}

textarea{
  height:150px;
  resize:none;
}

/* =========================
   BUTTON
========================= */

.send-btn{

  width:100%;

  padding:18px;

  border:none;

  border-radius:50px;

  background:linear-gradient(to right,#fc3fd3,#1904ff);

  color:white;

  font-size:18px;

  font-weight:600;

  cursor:pointer;

  transition:0.4s;
}

#sendBtn{
  width:100%;
  border:none;
  background:linear-gradient(to right,#430258,#c300fe,#430258);
  color:white;
  font-size:18px;
  font-weight:600px;
  cursor:pointer;
  transition:0.4s;
  height:50px;

}

.send-btn:hover{

  transform:scale(1.03);

  letter-spacing:1px;
}

/* =========================
   RESPONSIVE
========================= */

@media(max-width:991px){

  .contact-section{

    flex-direction:column;

    padding:40px 20px;
  }

  .left-contact,
  .form-container{
    width:100%;
  }

  .input-row{
    flex-direction:column;
  }

}

/* MAP SECTION */

.map-section{
    width: 100%;
    height: 500px;
    overflow: hidden;
    border-top: 8px solid #7b2cbf;
    border-bottom: 8px solid #7b2cbf;
    box-shadow: 0px 10px 30px rgba(0,0,0,0.3);
    margin-top: 50px;
}

.map-section iframe{
    width: 100%;
    height: 100%;
    border: none;
    filter: grayscale(10%);
}

/* SECTION */
*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:'Montserrat',sans-serif;
}

.footer{
    width:100%;
    background:linear-gradient(135deg,#430258,#c300fe,#430258);
    color:white;
    padding:70px 8% 40px;
}

/* GRID */

.footer-container{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(280px,1fr));
    gap:60px;
    align-items:flex-start;
}

/* TITLES */

.footer-box h2{
 font-family:'Cinzel', serif;
    font-size:40px;
    line-height: 60px;
    letter-spacing:1px;
    text-transform:uppercase;
}

.footer-box h3{
    font-size:30px;
    margin-top:30px;
    margin-bottom:20px;
    color:#ffd54f;
      font-family:'Cinzel', serif;
    letter-spacing:1px;
}

/* TEXT */

.footer-box p{
    font-size:26px;
    line-height:20px;
    color:#f1f1f1;
    font-weight:500;
     font-family:'Cinzel', serif;line-height: 29px;

}


/* WEBSITE */

.website-link{
    display:block;
    text-decoration:none;
    color:#fff;
    font-size:20px;
    margin-bottom:18px;
    transition:0.4s;
}

.website-link:hover{
    color:#ffd54f;
    transform:translateX(8px);
}

/* BUSINESS LINKS */

.business-link{
    display:block;
    text-decoration:none;
    color:white;
    font-size:21px;
    margin-bottom:18px;
    transition:0.4s;
}

.business-link:hover{
    color:#ffd54f;
    padding-left:10px;
}

/* SOCIAL ICONS */

.social-icons{
    display:flex;
    gap:18px;
    margin-top:30px;
    flex-wrap:nowrap;
}

.social-icons a{
    width:70px;
    height:60px;
    border-radius:50%;
    background:rgba(255,255,255,0.15);
    display:flex;
    justify-content:center;
    align-items:center;
    text-decoration:none;
    color:white;
    font-size:28px;
    transition:0.5s;
    backdrop-filter:blur(8px);
}

/* HOVER COLORS */

.social-icons a:hover{
    transform:translateY(-10px) scale(1.1);
}

.instagram:hover{
    background:linear-gradient(to top,#ff0080,#7928ca,#2afadf);
}

.facebook:hover{
    background:linear-gradient(to top,#ff0080,#7928ca,#2afadf);
}

.twitter:hover{
    background:linear-gradient(to top,#ff0080,#7928ca,#2afadf);
}

.linkedin:hover{
    background:linear-gradient(to top,#ff0080,#7928ca,#2afadf);
}

.youtube:hover{
    background:linear-gradient(to top,#ff0080,#7928ca,#2afadf);
}

.icon::before{

  content:"";

  position:absolute;

  left:0;
  bottom:-100%;

  width:100%;
  height:100%;

  background:
  linear-gradient(to top,
  #ff0080,
  #7928ca,
  #2afadf);

  transition:0.5s;

  z-index:-1;
}

/* TRENDING COURSES */

.trending{
    margin-top:60px;
    border-top:1px solid rgba(255,255,255,0.3);
    padding-top:40px;
    text-align:center;
}

.trending h1{
    font-size:55px;
    margin-bottom:30px;
    font-weight:800;
}

.course-scroll{
    white-space:nowrap;
    overflow:hidden;
    position:relative;
}

.course-scroll p{
    display:inline-block;
    padding-left:100%;
    animation:scrollText 25s linear infinite;
    font-size:23px;
    font-weight:600;
}

@keyframes scrollText{

    0%{
        transform:translateX(0);
    }

    100%{
        transform:translateX(-100%);
    }

}

/* RESPONSIVE */

@media(max-width:768px){

.footer{
    padding:50px 7%;
}

.footer-box h2{
    font-size:32px;
}

.footer-box h3{
    font-size:25px;
}

.footer-box p{
    font-size:17px;
    line-height:34px;
}

.social-icons a{
    width:60px;
    height:60px;
    font-size:24px;
}

.trending h1{
    font-size:38px;
}

.course-scroll p{
    font-size:18px;
}

}